LastModifiedResolvedResource (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve

## [Java] Class LastModifiedResolvedResource

- org.codehaus.groovy.grails.resolve.LastModifiedResolvedResource

- Correctly handles last modified in a resolved Ivy resource.

  Authors:
    Luke Daley
    Graeme Rocher
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LastModifiedResolvedResource (org.apache.ivy.plugins.repository.Resource res, java.lang.String rev)`
    `LastModifiedResolvedResource (org.apache.ivy.plugins.repository.Resource res, java.lang.String rev, long lastModified)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `long` | `getLastModified()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.apache.ivy.plugins.resolver.util.ResolvedResource` | `org.apache.ivy.plugins.resolver.util.ResolvedResource#toString(), org.apache.ivy.plugins.resolver.util.ResolvedResource#getResource(), org.apache.ivy.plugins.resolver.util.ResolvedResource#getRevision(), org.apache.ivy.plugins.resolver.util.ResolvedResource#getLastModified(), org.apache.ivy.plugins.resolver.util.ResolvedResource#wait(long, int), org.apache.ivy.plugins.resolver.util.ResolvedResource#wait(long), org.apache.ivy.plugins.resolver.util.ResolvedResource#wait(), org.apache.ivy.plugins.resolver.util.ResolvedResource#equals(java.lang.Object), org.apache.ivy.plugins.resolver.util.ResolvedResource#hashCode(), org.apache.ivy.plugins.resolver.util.ResolvedResource#getClass(), org.apache.ivy.plugins.resolver.util.ResolvedResource#notify(), org.apache.ivy.plugins.resolver.util.ResolvedResource#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public LastModifiedResolvedResource(org.apache.ivy.plugins.repository.Resource res, java.lang.String rev)

    - #### public LastModifiedResolvedResource(org.apache.ivy.plugins.repository.Resource res, java.lang.String rev, long lastModified)

  - ### Method Detail

    - #### @java.lang.Override public long getLastModified()